<?php
/*
 *  package: Joomla Opening Hours module - FREE Version
 *  copyright: Copyright (c) 2023. Jeroen Moolenschot | Joomill
 *  license: GNU General Public License version 3 or later
 *  link: https://www.joomill-extensions.com
 */

// No direct access.
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

// Adding the helper to use all the extra functionality
require_once __DIR__ . '/../lib/mod_scorpion_openinghours_helper.php';
$helper = new ScorpionOpeninghoursHelper($params,$module->id);

// Now we will generate specific styling for this template/layout
$extraStyle = '';
// Ones we've set all the additional styling, add it to the document
$helper->addBasicCSS();
$helper->addExtraCSS($extraStyle);
$helper->addBasicHTML('start');

// Now we are going to display if we are opened or closed
$htmlCode .= '<div class="open-or-not">';
$htmlCode .= $helper->getOpenClosedText();
$htmlCode .= '</div>'."\r\n";

echo $htmlCode;

$helper->addBasicHTML('end');
// End of the code
?>